Bug 531030 - log file sized increased by "compression"
log file sized increased by "compression"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-10-26 11:20 EDT by Ulrich Drepper
Modified: 2009-10-30 12:37 EDT (History)
8 users (show)

See Also:
Fixed In Version: libvirt-0.7.1-15.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-30 12:37:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2009-10-26 11:20:55 EDT
Description of problem:
Many log files libvirt creates in /var/log/libvirt/qemu/ have no content.  Still libvirt (or its helpers) "compress" them.  The result are nonzero-sized files.  Just don't do this, test for empty files first.  This will also prevent triggering other bugs (less, for instance, currently has problems showing such files).

Version-Release number of selected component (if applicable):
libvirt-0.6.2-18

How reproducible:
always

Steps to Reproduce:
1.run domain without any action for a few days
2.
3.
  
Actual results:
compress empty files

Expected results:
leave empty files alone

Additional info:
Comment 1 Cole Robinson 2009-10-26 11:30:07 EDT
FYI this is already fixed upstream:

http://libvirt.org/git/?p=libvirt.git;a=commit;h=b03fe2d0aefb57a096a102bf23375f0a167ca189
Comment 2 Daniel Berrange 2009-10-26 15:22:07 EDT
Switching to POST as per Cole's comment.
Comment 3 Mark McLoughlin 2009-10-29 13:27:41 EDT
Worth fixing for Fedora 12, but probably not worth the effort for Fedora 11.

Building now:

* Thu Oct 29 2009 Mark McLoughlin <markmc@redhat.com> - 0.7.1-15
- Avoid compressing small log files (#531030)

Will request tagging later
Comment 4 Mark McLoughlin 2009-10-30 11:46:01 EDT
tag request: https://fedorahosted.org/rel-eng/ticket/2927

Note You need to log in before you can comment on or make changes to this bug.